package caterpillar;

/**
 * A Caterpillar that is in the compressed state.
 * 
 * @author Prof. David Bernstein, James Madison University
 * @version 1.0
 */
public class CompressedCaterpillar extends Caterpillar
{
  /**
   * Default Constructor.
   */
  public CompressedCaterpillar()
  {
    super();
    addBodyPart(  0.0, 60.0);
    addBodyPart( 30.0, 60.0);
    addBodyPart( 55.0, 45.0);
    addBodyPart( 75.0, 25.0);
    addBodyPart(105.0, 25.0);
    addBodyPart(130.0, 45.0);
    addBodyPart(150.0, 60.0);
    addBodyPart(180.0, 60.0);

    addHead(180.0,  30.0);
  }
}
