package caterpillar;

/**
 * A Caterpillar that is in the expanded state.
 * 
 * @author Prof. David Bernstein, James Madison University
 * @version 1.0
 */
public class ExpandedCaterpillar extends Caterpillar
{
  /**
   * Default Constructor.
   */
  public ExpandedCaterpillar()
  {
    super();

    double x = -30.0;
    double y = 60.0;
    for (int i=0; i<8; i++) {
      x += 30.0;
      addBodyPart(x, y);
    }

    addHead(x, y-30);
  }
}
