package flower;

/**
 * The Flower that leans to the right.
 * 
 * @author Prof. David Bernstein, James Madison University
 * @version 1.0
 */
public class LeaningFlower extends Flower
{
  /**
   * Default Constructor.
   */
  public LeaningFlower()
  {
    super();
    addStem(0.0, 0.0, 240.0, 240.0);
    addPetals(240.0, 240.0);
    addMiddle(240.0, 240.0);
    addMouth(240.0, 240.0, false);
  }

}
