package flower;

/**
 * A Flower that stands straight up.
 * 
 * @author Prof. David Bernstein, James Madison University
 * @version 1.0
 */
public class UprightFlower extends Flower
{
  /**
   * Explicit Value Constructor.
   * 
   * @param smile true to make the mouth smile; false otherwise
   */
  public UprightFlower(boolean smile)
  {
    super();
    addStem(0.0, 0.0, 0.0, 0.0);
    addPetals(0.0, 0.0);
    addMiddle(0.0, 0.0);
    addMouth(0.0, 0.0, smile);
  }

}
