package caterpillar;

/**
 * A Caterpillar that is curled into a circle.
 * 
 * @author Prof. David Bernstein, James Madison University
 * @version 1.0
 */
public class CircledCaterpillar extends Caterpillar
{
  /**
   * Default Constructor.
   */
  public CircledCaterpillar()
  {
    super();
    addBodyPart(  0.0, 60.0);
    addBodyPart( 30.0, 65.0);
    addBodyPart( 60.0, 60.0);
    addBodyPart( 80.0, 40.0);
    addBodyPart( 90.0, 10.0);
    addBodyPart( 80.0,-20.0);
    addBodyPart( 60.0,-30.0);
    addBodyPart( 30.0,-40.0);

    addHead( 0.0,-30.0);
  }
}
